List quarter plan projects

Returns a paginated list of Projects belonging to the given Quarter Plan. Use the set query parameter to select which project set to return: live for current database state, frozen_in_scope for the snapshot taken when the quarter plan entered execution, or frozen_when_finished for the snapshot taken when the quarter plan was marked as finished.

Expandable Properties

This endpoint supports relations expansion on:

  • owner
  • program
  • goals
  • teams
  • requesting_team

Read more in our section about expandable properties.

OAuth2

For OAuth2 bearer tokens, GET requires all of these read scopes: quarter_plan:read, project:read (resources: quarter_plan, project). Alternatively, the umbrella scope all:read (GET) or all:write (write methods) satisfies any endpoint.

Note

If the parent resource in the URL path does not exist, the response is 404 Not Found.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Id of the Quarter Plan (UUID, e.g. 5f00409b-f5d4-4775-b484-74aa7e0a0bf6).

Query Params
date
date
date
string

Which relations to expand. Available relations: owner, program, goals, teams, requesting_team.

string

Filter by Importance code.

string

Filter by Mood code.

string

Which field to use when ordering the results. Available options: name, status, importance, risk, mood, created_at. Ascending order by default, use a - before the name of the field to have a descending order (ex: ordering=-name). Defaults to -created_at.

string

Filter projects by Owner user id.

integer

A page number within the paginated result set.

integer

Number of results to return per page.

uuid
string

Filter by Risk code.

string
enum
required

Project set to return. Accepted values: live, frozen_in_scope, frozen_when_finished. Availability depends on the quarter plan status group: live only while in scope (in-preparation); live and frozen_in_scope while in execution (in-progress); frozen_in_scope and frozen_when_finished once finished.

Allowed:
date
date
date
string

Filter by project Status code.

boolean

Filter by Final Status.

string
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json